<!DOCTYPE html>
<html lang="en">
<head>
    <title>Hiển thị chi tiết bình luận (Comment)</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script></title>
</head>
<body>
    <div class="container jumbotron bg-light">
        <div class="text-center mb-4">
            <h3><span style="color:brown">CHI TIẾT </span>COMMENT (BÌNH LUẬN)</h3>
        </div>
        <div class="row form-group">
            <div class="col-sm-3 col-form-label">
                <label>Id: </label>
            </div>
            <div class="col-sm-9">
                <input type="text" class="form-control" id="inp-id" placeholder="..." >
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3 col-form-label">
                <label>Post ID: </label>
            </div>
            <div class="col-sm-9">
                <input type="text" class="form-control" id="inp-postid">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3 col-form-label">
                <label>Email: </label>
            </div>
            <div class="col-sm-9">
                <input type="text" class="form-control" id="inp-email">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3 col-form-label">
                <label>Name: </label>
            </div>
            <div class="col-sm-9">
                <input type="text" class="form-control" id="inp-name">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3 col-form-label">
                <label>Body: </label>
            </div>
            <div class="col-sm-9">
                <textarea rows="5" type="text" class="form-control" id="textarea-body"></textarea>
            </div>
        </div>
    </div>
</body>
<script>
    "use strict";
    //REGION 1
    const gBASE_URL = "https://jsonplaceholder.typicode.com";
    //REGION 2
    $(document).ready(function(){
        onPageLoading();
    })
    //REGION 3
    function onPageLoading(){
        // b1: khai báo biến lưu dữ liệu
        //thu thập dữ liệu
        var vCommentId = {id: ""}
        getDataIdByQueryString(vCommentId);
        // b2: kiểm ra dữ liệu
        var vIsCheck = validataId(vCommentId);
        if(vIsCheck){
            // b3: gọi api
            $.ajax({
                url: gBASE_URL + "/comments/" + vCommentId.id,
                type: "GET",
                dataType: "json",
                success: function(response){
                    // b4: hiển thị thông tin lên form
                    loadDataToForm(response);
                },
                error: function(ajaxContext){
                    console.log(ajaxContext.responseText);
                }
            });
            
        }
        
    }
    //REGION 4
    //hàm thu thập dữ liệu id từ querystring
    function getDataIdByQueryString(paramId){
        var vQueryString = window.location.href;
        var vUrl = new URL(vQueryString);
        var vId = vUrl.searchParams.get("id");
        paramId.id = vId;
    }
    //hàm kiểm tra dữ liệu
    function validataId(paramId){
        if(paramId.id == ""){
            alert("dữ liệu cần được nhập vào");
            return false;
        };
        if(isNaN(paramId.id)){
            alert("Id nhập vào phải là số nguyên");
            return false;
        };
        return true;
    }
    //hàm hiển thị thông tin lên form
    function loadDataToForm(paramResponse){
        $("#inp-id").val(paramResponse.id);
        $("#inp-postid").val(paramResponse.postId);
        $("#inp-email").val(paramResponse.email);
        $("#inp-name").val(paramResponse.name);
        $("#textarea-body").val(paramResponse.body);
    }
</script>
</html>